namespace Tinkerforge
{
    public static class EPTC
    {
        public static (char Option, int Min, int Max) GetTemperatureCallbackThreshold(this BrickletPTC ptc)
        {
            ptc.GetTemperatureCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }

        public static (char Option, int Min, int Max) GetResistanceCallbackThreshold(this BrickletPTC ptc)
        {
            ptc.GetResistanceCallbackThreshold(out char option, out int min, out int max);
            return (option, min, max);
        }

    }
}
